diff options
Diffstat (limited to 'scripts')
-rw-r--r-- | scripts/Kbuild.include | 13 | ||||
-rw-r--r-- | scripts/Makefile.build | 4 | ||||
-rw-r--r-- | scripts/Makefile.modpost | 2 | ||||
-rw-r--r-- | scripts/bloat-o-meter | 58 | ||||
-rw-r--r-- | scripts/kconfig/conf.c | 18 | ||||
-rw-r--r-- | scripts/kconfig/confdata.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/gconf.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/lxdialog/Makefile | 48 | ||||
-rw-r--r-- | scripts/kconfig/lxdialog/check-lxdialog.sh | 80 | ||||
-rw-r--r-- | scripts/kconfig/mconf.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/qconf.h | 6 | ||||
-rw-r--r-- | scripts/kconfig/symbol.c | 4 | ||||
-rwxr-xr-x | scripts/kernel-doc | 12 | ||||
-rw-r--r-- | scripts/mksysmap | 2 | ||||
-rw-r--r-- | scripts/mod/file2alias.c | 2 | ||||
-rw-r--r-- | scripts/reference_discarded.pl | 6 | ||||
-rw-r--r-- | scripts/setlocalversion | 2 |
17 files changed, 203 insertions, 60 deletions
diff --git a/scripts/Kbuild.include b/scripts/Kbuild.include index db3c708e546b..0168d6c37075 100644 --- a/scripts/Kbuild.include +++ b/scripts/Kbuild.include | |||
@@ -3,6 +3,7 @@ | |||
3 | 3 | ||
4 | # Convinient variables | 4 | # Convinient variables |
5 | comma := , | 5 | comma := , |
6 | squote := ' | ||
6 | empty := | 7 | empty := |
7 | space := $(empty) $(empty) | 8 | space := $(empty) $(empty) |
8 | 9 | ||
@@ -12,6 +13,10 @@ space := $(empty) $(empty) | |||
12 | depfile = $(subst $(comma),_,$(@D)/.$(@F).d) | 13 | depfile = $(subst $(comma),_,$(@D)/.$(@F).d) |
13 | 14 | ||
14 | ### | 15 | ### |
16 | # Escape single quote for use in echo statements | ||
17 | escsq = $(subst $(squote),'\$(squote)',$1) | ||
18 | |||
19 | ### | ||
15 | # filechk is used to check if the content of a generated file is updated. | 20 | # filechk is used to check if the content of a generated file is updated. |
16 | # Sample usage: | 21 | # Sample usage: |
17 | # define filechk_sample | 22 | # define filechk_sample |
@@ -47,7 +52,7 @@ build := -f $(if $(KBUILD_SRC),$(srctree)/)scripts/Makefile.build obj | |||
47 | 52 | ||
48 | # If quiet is set, only print short version of command | 53 | # If quiet is set, only print short version of command |
49 | cmd = @$(if $($(quiet)cmd_$(1)),\ | 54 | cmd = @$(if $($(quiet)cmd_$(1)),\ |
50 | echo ' $(subst ','\'',$($(quiet)cmd_$(1)))' &&) $(cmd_$(1)) | 55 | echo ' $(call escsq,$($(quiet)cmd_$(1)))' &&) $(cmd_$(1)) |
51 | 56 | ||
52 | # Add $(obj)/ for paths that is not absolute | 57 | # Add $(obj)/ for paths that is not absolute |
53 | objectify = $(foreach o,$(1),$(if $(filter /%,$(o)),$(o),$(obj)/$(o))) | 58 | objectify = $(foreach o,$(1),$(if $(filter /%,$(o)),$(o),$(obj)/$(o))) |
@@ -68,7 +73,7 @@ endif | |||
68 | 73 | ||
69 | # echo command. Short version is $(quiet) equals quiet, otherwise full command | 74 | # echo command. Short version is $(quiet) equals quiet, otherwise full command |
70 | echo-cmd = $(if $($(quiet)cmd_$(1)), \ | 75 | echo-cmd = $(if $($(quiet)cmd_$(1)), \ |
71 | echo ' $(subst ','\'',$($(quiet)cmd_$(1)))';) | 76 | echo ' $(call escsq,$($(quiet)cmd_$(1)))';) |
72 | 77 | ||
73 | # function to only execute the passed command if necessary | 78 | # function to only execute the passed command if necessary |
74 | # >'< substitution is for echo to work, >$< substitution to preserve $ when reloading .cmd file | 79 | # >'< substitution is for echo to work, >$< substitution to preserve $ when reloading .cmd file |
@@ -78,7 +83,7 @@ if_changed = $(if $(strip $? $(call arg-check, $(cmd_$(1)), $(cmd_$@)) ), \ | |||
78 | @set -e; \ | 83 | @set -e; \ |
79 | $(echo-cmd) \ | 84 | $(echo-cmd) \ |
80 | $(cmd_$(1)); \ | 85 | $(cmd_$(1)); \ |
81 | echo 'cmd_$@ := $(subst $$,$$$$,$(subst ','\'',$(cmd_$(1))))' > $(@D)/.$(@F).cmd) | 86 | echo 'cmd_$@ := $(subst $$,$$$$,$(call escsq,$(cmd_$(1))))' > $(@D)/.$(@F).cmd) |
82 | 87 | ||
83 | # execute the command and also postprocess generated .d dependencies | 88 | # execute the command and also postprocess generated .d dependencies |
84 | # file | 89 | # file |
@@ -87,7 +92,7 @@ if_changed_dep = $(if $(strip $? $(filter-out FORCE $(wildcard $^),$^)\ | |||
87 | @set -e; \ | 92 | @set -e; \ |
88 | $(echo-cmd) \ | 93 | $(echo-cmd) \ |
89 | $(cmd_$(1)); \ | 94 | $(cmd_$(1)); \ |
90 | scripts/basic/fixdep $(depfile) $@ '$(subst $$,$$$$,$(subst ','\'',$(cmd_$(1))))' > $(@D)/.$(@F).tmp; \ | 95 | scripts/basic/fixdep $(depfile) $@ '$(subst $$,$$$$,$(call escsq,$(cmd_$(1))))' > $(@D)/.$(@F).tmp; \ |
91 | rm -f $(depfile); \ | 96 | rm -f $(depfile); \ |
92 | mv -f $(@D)/.$(@F).tmp $(@D)/.$(@F).cmd) | 97 | mv -f $(@D)/.$(@F).tmp $(@D)/.$(@F).cmd) |
93 | 98 | ||
diff --git a/scripts/Makefile.build b/scripts/Makefile.build index 506e3f3befe3..c33e62bde6b0 100644 --- a/scripts/Makefile.build +++ b/scripts/Makefile.build | |||
@@ -179,10 +179,10 @@ endif | |||
179 | define rule_cc_o_c | 179 | define rule_cc_o_c |
180 | $(if $($(quiet)cmd_checksrc),echo ' $($(quiet)cmd_checksrc)';) \ | 180 | $(if $($(quiet)cmd_checksrc),echo ' $($(quiet)cmd_checksrc)';) \ |
181 | $(cmd_checksrc) \ | 181 | $(cmd_checksrc) \ |
182 | $(if $($(quiet)cmd_cc_o_c),echo ' $(subst ','\'',$($(quiet)cmd_cc_o_c))';) \ | 182 | $(if $($(quiet)cmd_cc_o_c),echo ' $(call escsq,$($(quiet)cmd_cc_o_c))';) \ |
183 | $(cmd_cc_o_c); \ | 183 | $(cmd_cc_o_c); \ |
184 | $(cmd_modversions) \ | 184 | $(cmd_modversions) \ |
185 | scripts/basic/fixdep $(depfile) $@ '$(subst ','\'',$(cmd_cc_o_c))' > $(@D)/.$(@F).tmp; \ | 185 | scripts/basic/fixdep $(depfile) $@ '$(call escsq,$(cmd_cc_o_c))' > $(@D)/.$(@F).tmp; \ |
186 | rm -f $(depfile); \ | 186 | rm -f $(depfile); \ |
187 | mv -f $(@D)/.$(@F).tmp $(@D)/.$(@F).cmd | 187 | mv -f $(@D)/.$(@F).tmp $(@D)/.$(@F).cmd |
188 | endef | 188 | endef |
diff --git a/scripts/Makefile.modpost b/scripts/Makefile.modpost index 0c4f3a9f2ea9..bf96a61d4b86 100644 --- a/scripts/Makefile.modpost +++ b/scripts/Makefile.modpost | |||
@@ -30,7 +30,7 @@ | |||
30 | # - See include/linux/module.h for more details | 30 | # - See include/linux/module.h for more details |
31 | 31 | ||
32 | # Step 4 is solely used to allow module versioning in external modules, | 32 | # Step 4 is solely used to allow module versioning in external modules, |
33 | # where the CRC of each module is retreived from the Module.symers file. | 33 | # where the CRC of each module is retrieved from the Module.symers file. |
34 | 34 | ||
35 | .PHONY: _modpost | 35 | .PHONY: _modpost |
36 | _modpost: __modpost | 36 | _modpost: __modpost |
diff --git a/scripts/bloat-o-meter b/scripts/bloat-o-meter new file mode 100644 index 000000000000..75f21d843c1d --- /dev/null +++ b/scripts/bloat-o-meter | |||
@@ -0,0 +1,58 @@ | |||
1 | #!/usr/bin/python | ||
2 | # | ||
3 | # Copyright 2004 Matt Mackall <mpm@selenic.com> | ||
4 | # | ||
5 | # inspired by perl Bloat-O-Meter (c) 1997 by Andi Kleen | ||
6 | # | ||
7 | # This software may be used and distributed according to the terms | ||
8 | # of the GNU General Public License, incorporated herein by reference. | ||
9 | |||
10 | import sys, os, re | ||
11 | |||
12 | if len(sys.argv) != 3: | ||
13 | sys.stderr.write("usage: %s file1 file2\n" % sys.argv[0]) | ||
14 | sys.exit(-1) | ||
15 | |||
16 | def getsizes(file): | ||
17 | sym = {} | ||
18 | for l in os.popen("nm --size-sort " + file).readlines(): | ||
19 | size, type, name = l[:-1].split() | ||
20 | if type in "tTdDbB": | ||
21 | sym[name] = int(size, 16) | ||
22 | return sym | ||
23 | |||
24 | old = getsizes(sys.argv[1]) | ||
25 | new = getsizes(sys.argv[2]) | ||
26 | grow, shrink, add, remove, up, down = 0, 0, 0, 0, 0, 0 | ||
27 | delta, common = [], {} | ||
28 | |||
29 | for a in old: | ||
30 | if a in new: | ||
31 | common[a] = 1 | ||
32 | |||
33 | for name in old: | ||
34 | if name not in common: | ||
35 | remove += 1 | ||
36 | down += old[name] | ||
37 | delta.append((-old[name], name)) | ||
38 | |||
39 | for name in new: | ||
40 | if name not in common: | ||
41 | add += 1 | ||
42 | up += new[name] | ||
43 | delta.append((new[name], name)) | ||
44 | |||
45 | for name in common: | ||
46 | d = new.get(name, 0) - old.get(name, 0) | ||
47 | if d>0: grow, up = grow+1, up+d | ||
48 | if d<0: shrink, down = shrink+1, down-d | ||
49 | delta.append((d, name)) | ||
50 | |||
51 | delta.sort() | ||
52 | delta.reverse() | ||
53 | |||
54 | print "add/remove: %s/%s grow/shrink: %s/%s up/down: %s/%s (%s)" % \ | ||
55 | (add, remove, grow, shrink, up, -down, up-down) | ||
56 | print "%-40s %7s %7s %+7s" % ("function", "old", "new", "delta") | ||
57 | for d, n in delta: | ||
58 | if d: print "%-40s %7s %7s %+7d" % (n, old.get(n,"-"), new.get(n,"-"), d) | ||
diff --git a/scripts/kconfig/conf.c b/scripts/kconfig/conf.c index 8ba5d29d3d42..10eeae53d827 100644 --- a/scripts/kconfig/conf.c +++ b/scripts/kconfig/conf.c | |||
@@ -63,6 +63,20 @@ static void check_stdin(void) | |||
63 | } | 63 | } |
64 | } | 64 | } |
65 | 65 | ||
66 | static char *fgets_check_stream(char *s, int size, FILE *stream) | ||
67 | { | ||
68 | char *ret = fgets(s, size, stream); | ||
69 | |||
70 | if (ret == NULL && feof(stream)) { | ||
71 | printf(_("aborted!\n\n")); | ||
72 | printf(_("Console input is closed. ")); | ||
73 | printf(_("Run 'make oldconfig' to update configuration.\n\n")); | ||
74 | exit(1); | ||
75 | } | ||
76 | |||
77 | return ret; | ||
78 | } | ||
79 | |||
66 | static void conf_askvalue(struct symbol *sym, const char *def) | 80 | static void conf_askvalue(struct symbol *sym, const char *def) |
67 | { | 81 | { |
68 | enum symbol_type type = sym_get_type(sym); | 82 | enum symbol_type type = sym_get_type(sym); |
@@ -100,7 +114,7 @@ static void conf_askvalue(struct symbol *sym, const char *def) | |||
100 | check_stdin(); | 114 | check_stdin(); |
101 | case ask_all: | 115 | case ask_all: |
102 | fflush(stdout); | 116 | fflush(stdout); |
103 | fgets(line, 128, stdin); | 117 | fgets_check_stream(line, 128, stdin); |
104 | return; | 118 | return; |
105 | case set_default: | 119 | case set_default: |
106 | printf("%s\n", def); | 120 | printf("%s\n", def); |
@@ -356,7 +370,7 @@ static int conf_choice(struct menu *menu) | |||
356 | check_stdin(); | 370 | check_stdin(); |
357 | case ask_all: | 371 | case ask_all: |
358 | fflush(stdout); | 372 | fflush(stdout); |
359 | fgets(line, 128, stdin); | 373 | fgets_check_stream(line, 128, stdin); |
360 | strip(line); | 374 | strip(line); |
361 | if (line[0] == '?') { | 375 | if (line[0] == '?') { |
362 | printf("\n%s\n", menu->sym->help ? | 376 | printf("\n%s\n", menu->sym->help ? |
diff --git a/scripts/kconfig/confdata.c b/scripts/kconfig/confdata.c index ccd45130c482..b0cbbe2e41bb 100644 --- a/scripts/kconfig/confdata.c +++ b/scripts/kconfig/confdata.c | |||
@@ -375,7 +375,7 @@ int conf_write(const char *name) | |||
375 | if (!out_h) | 375 | if (!out_h) |
376 | return 1; | 376 | return 1; |
377 | } | 377 | } |
378 | sym = sym_lookup("KERNELRELEASE", 0); | 378 | sym = sym_lookup("KERNELVERSION", 0); |
379 | sym_calc_value(sym); | 379 | sym_calc_value(sym); |
380 | time(&now); | 380 | time(&now); |
381 | env = getenv("KCONFIG_NOTIMESTAMP"); | 381 | env = getenv("KCONFIG_NOTIMESTAMP"); |
diff --git a/scripts/kconfig/gconf.c b/scripts/kconfig/gconf.c index 9f5aabd58fa9..665bd5300a19 100644 --- a/scripts/kconfig/gconf.c +++ b/scripts/kconfig/gconf.c | |||
@@ -276,7 +276,7 @@ void init_main_window(const gchar * glade_file) | |||
276 | NULL); | 276 | NULL); |
277 | 277 | ||
278 | sprintf(title, _("Linux Kernel v%s Configuration"), | 278 | sprintf(title, _("Linux Kernel v%s Configuration"), |
279 | getenv("KERNELRELEASE")); | 279 | getenv("KERNELVERSION")); |
280 | gtk_window_set_title(GTK_WINDOW(main_wnd), title); | 280 | gtk_window_set_title(GTK_WINDOW(main_wnd), title); |
281 | 281 | ||
282 | gtk_widget_show(main_wnd); | 282 | gtk_widget_show(main_wnd); |
diff --git a/scripts/kconfig/lxdialog/Makefile b/scripts/kconfig/lxdialog/Makefile index a45a13fb26ed..fae3e29fc924 100644 --- a/scripts/kconfig/lxdialog/Makefile +++ b/scripts/kconfig/lxdialog/Makefile | |||
@@ -1,42 +1,18 @@ | |||
1 | HOST_EXTRACFLAGS := -DLOCALE | 1 | # Makefile to build lxdialog package |
2 | ifeq ($(shell uname),SunOS) | 2 | # |
3 | HOST_LOADLIBES := -lcurses | ||
4 | else | ||
5 | HOST_LOADLIBES := -lncurses | ||
6 | endif | ||
7 | 3 | ||
8 | ifeq (/usr/include/ncurses/ncurses.h, $(wildcard /usr/include/ncurses/ncurses.h)) | 4 | check-lxdialog := $(srctree)/$(src)/check-lxdialog.sh |
9 | HOST_EXTRACFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>" | 5 | HOST_EXTRACFLAGS:= $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags) |
10 | else | 6 | HOST_LOADLIBES := $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC)) |
11 | ifeq (/usr/include/ncurses/curses.h, $(wildcard /usr/include/ncurses/curses.h)) | 7 | |
12 | HOST_EXTRACFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>" | 8 | HOST_EXTRACFLAGS += -DLOCALE |
13 | else | 9 | |
14 | ifeq (/usr/include/ncurses.h, $(wildcard /usr/include/ncurses.h)) | 10 | .PHONY: dochecklxdialog |
15 | HOST_EXTRACFLAGS += -DCURSES_LOC="<ncurses.h>" | 11 | $(obj)/dochecklxdialog: |
16 | else | 12 | $(Q)$(CONFIG_SHELL) $(check-lxdialog) -check $(HOSTCC) $(HOST_LOADLIBES) |
17 | HOST_EXTRACFLAGS += -DCURSES_LOC="<curses.h>" | ||
18 | endif | ||
19 | endif | ||
20 | endif | ||
21 | 13 | ||
22 | hostprogs-y := lxdialog | 14 | hostprogs-y := lxdialog |
23 | always := ncurses $(hostprogs-y) | 15 | always := $(hostprogs-y) dochecklxdialog |
24 | 16 | ||
25 | lxdialog-objs := checklist.o menubox.o textbox.o yesno.o inputbox.o \ | 17 | lxdialog-objs := checklist.o menubox.o textbox.o yesno.o inputbox.o \ |
26 | util.o lxdialog.o msgbox.o | 18 | util.o lxdialog.o msgbox.o |
27 | |||
28 | .PHONY: $(obj)/ncurses | ||
29 | $(obj)/ncurses: | ||
30 | @echo "main() {}" > lxtemp.c | ||
31 | @if $(HOSTCC) lxtemp.c $(HOST_LOADLIBES); then \ | ||
32 | rm -f lxtemp.c a.out; \ | ||
33 | else \ | ||
34 | rm -f lxtemp.c; \ | ||
35 | echo -e "\007" ;\ | ||
36 | echo ">> Unable to find the Ncurses libraries." ;\ | ||
37 | echo ">>" ;\ | ||
38 | echo ">> You must install ncurses-devel in order" ;\ | ||
39 | echo ">> to use 'make menuconfig'" ;\ | ||
40 | echo ;\ | ||
41 | exit 1 ;\ | ||
42 | fi | ||
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh new file mode 100644 index 000000000000..448e353923f3 --- /dev/null +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh | |||
@@ -0,0 +1,80 @@ | |||
1 | #!/bin/sh | ||
2 | # Check ncurses compatibility | ||
3 | |||
4 | # What library to link | ||
5 | ldflags() | ||
6 | { | ||
7 | echo "main() {}" | $cc -lncursesw -xc - -o /dev/null 2> /dev/null | ||
8 | if [ $? -eq 0 ]; then | ||
9 | echo '-lncursesw' | ||
10 | exit | ||
11 | fi | ||
12 | echo "main() {}" | $cc -lncurses -xc - -o /dev/null 2> /dev/null | ||
13 | if [ $? -eq 0 ]; then | ||
14 | echo '-lncurses' | ||
15 | exit | ||
16 | fi | ||
17 | echo "main() {}" | $cc -lcurses -xc - -o /dev/null 2> /dev/null | ||
18 | if [ $? -eq 0 ]; then | ||
19 | echo '-lcurses' | ||
20 | exit | ||
21 | fi | ||
22 | exit 1 | ||
23 | } | ||
24 | |||
25 | # Where is ncurses.h? | ||
26 | ccflags() | ||
27 | { | ||
28 | if [ -f /usr/include/ncurses/ncurses.h ]; then | ||
29 | echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"' | ||
30 | elif [ -f /usr/include/ncurses/curses.h ]; then | ||
31 | echo '-I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"' | ||
32 | elif [ -f /usr/include/ncurses.h ]; then | ||
33 | echo '-DCURSES_LOC="<ncurses.h>"' | ||
34 | else | ||
35 | echo '-DCURSES_LOC="<curses.h>"' | ||
36 | fi | ||
37 | } | ||
38 | |||
39 | compiler="" | ||
40 | # Check if we can link to ncurses | ||
41 | check() { | ||
42 | echo "main() {}" | $cc -xc - -o /dev/null 2> /dev/null | ||
43 | if [ $? != 0 ]; then | ||
44 | echo " *** Unable to find the ncurses libraries." 1>&2 | ||
45 | echo " *** make menuconfig require the ncurses libraries" 1>&2 | ||
46 | echo " *** " 1>&2 | ||
47 | echo " *** Install ncurses (ncurses-devel) and try again" 1>&2 | ||
48 | echo " *** " 1>&2 | ||
49 | exit 1 | ||
50 | fi | ||
51 | } | ||
52 | |||
53 | usage() { | ||
54 | printf "Usage: $0 [-check compiler options|-header|-library]\n" | ||
55 | } | ||
56 | |||
57 | if [ $# == 0 ]; then | ||
58 | usage | ||
59 | exit 1 | ||
60 | fi | ||
61 | |||
62 | case "$1" in | ||
63 | "-check") | ||
64 | shift | ||
65 | cc="$@" | ||
66 | check | ||
67 | ;; | ||
68 | "-ccflags") | ||
69 | ccflags | ||
70 | ;; | ||
71 | "-ldflags") | ||
72 | shift | ||
73 | cc="$@" | ||
74 | ldflags | ||
75 | ;; | ||
76 | "*") | ||
77 | usage | ||
78 | exit 1 | ||
79 | ;; | ||
80 | esac | ||
diff --git a/scripts/kconfig/mconf.c b/scripts/kconfig/mconf.c index d63d7fb677e4..7f973195e79a 100644 --- a/scripts/kconfig/mconf.c +++ b/scripts/kconfig/mconf.c | |||
@@ -1051,7 +1051,7 @@ int main(int ac, char **av) | |||
1051 | conf_parse(av[1]); | 1051 | conf_parse(av[1]); |
1052 | conf_read(NULL); | 1052 | conf_read(NULL); |
1053 | 1053 | ||
1054 | sym = sym_lookup("KERNELRELEASE", 0); | 1054 | sym = sym_lookup("KERNELVERSION", 0); |
1055 | sym_calc_value(sym); | 1055 | sym_calc_value(sym); |
1056 | sprintf(menu_backtitle, _("Linux Kernel v%s Configuration"), | 1056 | sprintf(menu_backtitle, _("Linux Kernel v%s Configuration"), |
1057 | sym_get_string_value(sym)); | 1057 | sym_get_string_value(sym)); |
diff --git a/scripts/kconfig/qconf.h b/scripts/kconfig/qconf.h index 7c03927d4c7c..e52f3e90bf0c 100644 --- a/scripts/kconfig/qconf.h +++ b/scripts/kconfig/qconf.h | |||
@@ -22,8 +22,8 @@ public: | |||
22 | 22 | ||
23 | #if QT_VERSION >= 300 | 23 | #if QT_VERSION >= 300 |
24 | void readListSettings(); | 24 | void readListSettings(); |
25 | QValueList<int> ConfigSettings::readSizes(const QString& key, bool *ok); | 25 | QValueList<int> readSizes(const QString& key, bool *ok); |
26 | bool ConfigSettings::writeSizes(const QString& key, const QValueList<int>& value); | 26 | bool writeSizes(const QString& key, const QValueList<int>& value); |
27 | #endif | 27 | #endif |
28 | 28 | ||
29 | bool showAll; | 29 | bool showAll; |
@@ -124,7 +124,7 @@ public: | |||
124 | void setParentMenu(void); | 124 | void setParentMenu(void); |
125 | 125 | ||
126 | template <class P> | 126 | template <class P> |
127 | void ConfigList::updateMenuList(P*, struct menu*); | 127 | void updateMenuList(P*, struct menu*); |
128 | 128 | ||
129 | bool updateAll; | 129 | bool updateAll; |
130 | 130 | ||
diff --git a/scripts/kconfig/symbol.c b/scripts/kconfig/symbol.c index 69c2549c0baa..3d7877afccd5 100644 --- a/scripts/kconfig/symbol.c +++ b/scripts/kconfig/symbol.c | |||
@@ -61,10 +61,10 @@ void sym_init(void) | |||
61 | if (p) | 61 | if (p) |
62 | sym_add_default(sym, p); | 62 | sym_add_default(sym, p); |
63 | 63 | ||
64 | sym = sym_lookup("KERNELRELEASE", 0); | 64 | sym = sym_lookup("KERNELVERSION", 0); |
65 | sym->type = S_STRING; | 65 | sym->type = S_STRING; |
66 | sym->flags |= SYMBOL_AUTO; | 66 | sym->flags |= SYMBOL_AUTO; |
67 | p = getenv("KERNELRELEASE"); | 67 | p = getenv("KERNELVERSION"); |
68 | if (p) | 68 | if (p) |
69 | sym_add_default(sym, p); | 69 | sym_add_default(sym, p); |
70 | 70 | ||
diff --git a/scripts/kernel-doc b/scripts/kernel-doc index 2f45fd2969d0..9fd5f5b87d1e 100755 --- a/scripts/kernel-doc +++ b/scripts/kernel-doc | |||
@@ -1405,6 +1405,7 @@ sub create_parameterlist($$$) { | |||
1405 | my $type; | 1405 | my $type; |
1406 | my $param; | 1406 | my $param; |
1407 | 1407 | ||
1408 | # temporarily replace commas inside function pointer definition | ||
1408 | while ($args =~ /(\([^\),]+),/) { | 1409 | while ($args =~ /(\([^\),]+),/) { |
1409 | $args =~ s/(\([^\),]+),/$1#/g; | 1410 | $args =~ s/(\([^\),]+),/$1#/g; |
1410 | } | 1411 | } |
@@ -1465,11 +1466,10 @@ sub push_parameter($$$) { | |||
1465 | my $param_name = $param; | 1466 | my $param_name = $param; |
1466 | $param_name =~ s/\[.*//; | 1467 | $param_name =~ s/\[.*//; |
1467 | 1468 | ||
1468 | if ($type eq "" && $param eq "...") | 1469 | if ($type eq "" && $param =~ /\.\.\.$/) |
1469 | { | 1470 | { |
1470 | $type=""; | 1471 | $type=""; |
1471 | $param="..."; | 1472 | $parameterdescs{$param} = "variable arguments"; |
1472 | $parameterdescs{"..."} = "variable arguments"; | ||
1473 | } | 1473 | } |
1474 | elsif ($type eq "" && ($param eq "" or $param eq "void")) | 1474 | elsif ($type eq "" && ($param eq "" or $param eq "void")) |
1475 | { | 1475 | { |
@@ -1477,7 +1477,11 @@ sub push_parameter($$$) { | |||
1477 | $param="void"; | 1477 | $param="void"; |
1478 | $parameterdescs{void} = "no arguments"; | 1478 | $parameterdescs{void} = "no arguments"; |
1479 | } | 1479 | } |
1480 | if (defined $type && $type && !defined $parameterdescs{$param_name}) { | 1480 | # warn if parameter has no description |
1481 | # (but ignore ones starting with # as these are no parameters | ||
1482 | # but inline preprocessor statements | ||
1483 | if (!defined $parameterdescs{$param_name} && $param_name !~ /^#/) { | ||
1484 | |||
1481 | $parameterdescs{$param_name} = $undescribed; | 1485 | $parameterdescs{$param_name} = $undescribed; |
1482 | 1486 | ||
1483 | if (($type eq 'function') || ($type eq 'enum')) { | 1487 | if (($type eq 'function') || ($type eq 'enum')) { |
diff --git a/scripts/mksysmap b/scripts/mksysmap index a6430e05972d..4390fab9f5bd 100644 --- a/scripts/mksysmap +++ b/scripts/mksysmap | |||
@@ -1,7 +1,7 @@ | |||
1 | #!/bin/sh -x | 1 | #!/bin/sh -x |
2 | # Based on the vmlinux file create the System.map file | 2 | # Based on the vmlinux file create the System.map file |
3 | # System.map is used by module-init tools and some debugging | 3 | # System.map is used by module-init tools and some debugging |
4 | # tools to retreive the actual addresses of symbols in the kernel. | 4 | # tools to retrieve the actual addresses of symbols in the kernel. |
5 | # | 5 | # |
6 | # Usage | 6 | # Usage |
7 | # mksysmap vmlinux System.map | 7 | # mksysmap vmlinux System.map |
diff --git a/scripts/mod/file2alias.c b/scripts/mod/file2alias.c index e0eedffe565b..be97caf664bb 100644 --- a/scripts/mod/file2alias.c +++ b/scripts/mod/file2alias.c | |||
@@ -417,7 +417,7 @@ static int do_input_entry(const char *filename, struct input_device_id *id, | |||
417 | do_input(alias, id->sndbit, 0, SND_MAX); | 417 | do_input(alias, id->sndbit, 0, SND_MAX); |
418 | sprintf(alias + strlen(alias), "f*"); | 418 | sprintf(alias + strlen(alias), "f*"); |
419 | if (id->flags&INPUT_DEVICE_ID_MATCH_FFBIT) | 419 | if (id->flags&INPUT_DEVICE_ID_MATCH_FFBIT) |
420 | do_input(alias, id->ffbit, 0, SND_MAX); | 420 | do_input(alias, id->ffbit, 0, FF_MAX); |
421 | sprintf(alias + strlen(alias), "w*"); | 421 | sprintf(alias + strlen(alias), "w*"); |
422 | if (id->flags&INPUT_DEVICE_ID_MATCH_SWBIT) | 422 | if (id->flags&INPUT_DEVICE_ID_MATCH_SWBIT) |
423 | do_input(alias, id->swbit, 0, SW_MAX); | 423 | do_input(alias, id->swbit, 0, SW_MAX); |
diff --git a/scripts/reference_discarded.pl b/scripts/reference_discarded.pl index c2d54148a91f..4ee6ab2135b3 100644 --- a/scripts/reference_discarded.pl +++ b/scripts/reference_discarded.pl | |||
@@ -71,6 +71,11 @@ foreach $object (keys(%object)) { | |||
71 | # printf("ignoring %d conglomerate(s)\n", $ignore); | 71 | # printf("ignoring %d conglomerate(s)\n", $ignore); |
72 | 72 | ||
73 | # printf("Scanning objects\n"); | 73 | # printf("Scanning objects\n"); |
74 | |||
75 | # Keith Ownes <kaos@sgi.com> commented: | ||
76 | # For our future {in}sanity, add a comment that this is the ppc .opd | ||
77 | # section, not the ia64 .opd section. | ||
78 | # ia64 .opd should not point to discarded sections. | ||
74 | $errorcount = 0; | 79 | $errorcount = 0; |
75 | foreach $object (keys(%object)) { | 80 | foreach $object (keys(%object)) { |
76 | my $from; | 81 | my $from; |
@@ -88,6 +93,7 @@ foreach $object (keys(%object)) { | |||
88 | ($from !~ /\.text\.exit$/ && | 93 | ($from !~ /\.text\.exit$/ && |
89 | $from !~ /\.exit\.text$/ && | 94 | $from !~ /\.exit\.text$/ && |
90 | $from !~ /\.data\.exit$/ && | 95 | $from !~ /\.data\.exit$/ && |
96 | $from !~ /\.opd$/ && | ||
91 | $from !~ /\.exit\.data$/ && | 97 | $from !~ /\.exit\.data$/ && |
92 | $from !~ /\.altinstructions$/ && | 98 | $from !~ /\.altinstructions$/ && |
93 | $from !~ /\.pdr$/ && | 99 | $from !~ /\.pdr$/ && |
diff --git a/scripts/setlocalversion b/scripts/setlocalversion index f54dac88cfd1..9a23825218f2 100644 --- a/scripts/setlocalversion +++ b/scripts/setlocalversion | |||
@@ -17,6 +17,6 @@ if head=`git rev-parse --verify HEAD 2>/dev/null`; then | |||
17 | 17 | ||
18 | # Are there uncommitted changes? | 18 | # Are there uncommitted changes? |
19 | if git diff-files | read dummy; then | 19 | if git diff-files | read dummy; then |
20 | printf '%s' -git_dirty | 20 | printf '%s' -dirty |
21 | fi | 21 | fi |
22 | fi | 22 | fi |